# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-WebService-Validator-HTML-W3C
Version:        0.28
Release:        alt1_4
Summary:        Access the W3Cs online HTML validator
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/WebService-Validator-HTML-W3C/
Source0:        http://www.cpan.org/authors/id/S/ST/STRUAN/WebService-Validator-HTML-W3C-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Class/Accessor.pm)
BuildRequires:  perl(HTTP/Request/Common.pm)
BuildRequires:  perl(HTTP/Response.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Without/Module.pm)
BuildRequires:  perl(URI/Escape.pm)


Source44: import.info

%description
WebService::Validator::HTML::W3C provides access to the W3C's online Markup
validator. As well as reporting on whether a page is valid it also provides
access to a detailed list of the errors and where in the validated document
they occur.

%prep
%setup -q -n WebService-Validator-HTML-W3C-%{version}

%build
perl Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README examples
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1_3
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1_1
- fc import

